<?php

/**
* Base command class.  This is an abstract class and should not be 
* instantiated directly
*
* @author Tony Bibbs <tony AT geeklog DOT net>
* 
*/
class BaseCommand {
    /**
    * @access private
    */
    var $_errors = Array();

    /**
    * @access private
    */
    var $_secureCommand = true;

    /**
    * Constructor
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    *
    */
    function BaseCommand()
    {
        if ($this->_secureCommand) {
            $this->_doSecurityCheck();
        }
    }

    /**
    * This method process a command request
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * @access public
    *
    */
    function executeCommand()
    {
    }

    /**
    * Validates any form input
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * @access private
    *
    */
    function _isValidInput()
    {
    }

    /**
    * Checks to make sure user has access to this
    * command
    *
    * @author Tony Bibbs <tony AT geeklog DOT net
    * @access private
    *
    */
    function _doSecurityCheck()
    {
        global $_USER, $_LANG_FORTUNE;
        
        if (!SEC_hasRights('fortune.edit')) {
            $display .= COM_siteHeader('menu');
            $display .= COM_startBlock($_LANG_FORTUNE['accessdenied']);
            $display .= $_LANG_FORTUNE['accessdeniedmsg'];
            $display .= COM_endBlock();
            $display .= COM_siteFooter();
            COM_errorLog("User {$_USER['username']} tried to illegally access one of the fortune administration commands",1);
            echo $display;
            exit;
        }
    }
}

?>
