<?php

/**
* Base command class.  This is an abstract class and should not be 
* instantiated directly
*
* @author Tony Bibbs <tony AT geeklog DOT net>
* 
*/
class BaseValidatorCommand extends BaseCommand {
    /**
    * @access private
    */
    var $_errors = Array();

    /**
    * @access public
    */
    var $_redirectOnSuccess = '';

    /**
    * Constructor
    *
    * Runs the parent constructor and then does any
    * input validation.  All children commands need to
    * makes sure to call doValidation() from the 
    * constructor
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * 
    */
    function BaseValidatorCommand()
    {
        //$this->doValidation();
    }

    /**
    * This method process a command request
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * @access public
    *
    */
    function executeCommand()
    {
    }

    /**
    * Performs any input validation for commands.  Should be
    * implemented by any command inheriting from this
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * @access public
    *
    */
    function doValidation()
    {
    }

    /**
    * Validates any form input
    *
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * @access private
    * @return boolean True of False
    *
    */
    function _isValidInput()
    {
        if (count($this->_errors) > 0) {
            return false;
        } else {
            return true;
        }
    }

    /**
    * Returns all errors
    * 
    * @author Tony Bibbs <tony AT geeklog DOT net>
    * @access public
    * @return string String of error messages
    *
    */
    function getErrorMsgs()
    {
        $msgText = '';

        foreach ($this->_errors as $curError) {
            $msgText .= $curError . '<BR>';
        }

        return $msgText;
    }
}

?>
